function abortInit()
	print('Press RETURN to abort startup...')

	init_tmr = tmr.create()

	-- if <CR> is pressed, call abortTest
	uart.on('data', '\r', function()
		init_tmr:stop()
		uart.on( 'data' )
	end, 0)

	-- start timer to execute startup function in 5 seconds
	init_tmr:register( 5000, tmr.ALARM_SINGLE, function( t )
		t:unregister()
		if( not file.exists( "mqtt_client.lc" ) ) then
			print( "compiling mqtt_client.lua" )
			node.compile( "mqtt_client.lua" )
			node.compile( "ledcontrol.lua" )
			node.restart()
		end
		dofile( "mqtt_client.lc" )
	end)
	init_tmr:start()
end

abortInit()
